com.eloview.homesdk.networkManager

## Class NetworkConfig

- java.lang.Object
- - com.eloview.homesdk.networkManager.NetworkConfig

-     public class NetworkConfig
      extends java.lang.Object

  This is a model class which used to keep the network configuration data. It takes data from the user and provides it to the setNetwork API.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NetworkConfig(NetworkType networkType)` Class to set initial LAN network configuration details.
    `NetworkConfig(NetworkType networkType, NetworkSecurityType securityType, java.lang.String name, java.lang.String password)` Class to set initial WiFi network configuration details.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Boolean` | `getAvoidPoorWifi()`
    `java.lang.String` | `getCertAlias()`
    `java.lang.Boolean` | `getDefaultExclude()`
    `java.lang.String` | `getDns1()`
    `java.lang.String` | `getDns2()`
    `java.lang.String` | `getGateway()`
    `java.lang.String` | `getName()`
    `java.lang.String` | `getNetworkPrefix()`
    `NetworkType` | `getNetworkType()`
    `java.lang.String` | `getPassword()`
    `java.util.List<java.lang.String>` | `getProxyExclusion()`
    `java.lang.String` | `getProxyHost()`
    `java.lang.Integer` | `getProxyPort()`
    `NetworkSecurityType` | `getSecurityType()`
    `java.lang.String` | `getStaticIp()`
    `void` | `setAvoidPoorWifi(java.lang.Boolean avoidPoorWifi)`
    `void` | `setCertAlias(java.lang.String certAlias)`
    `void` | `setDefaultExclude(java.lang.Boolean defaultExclude)`
    `void` | `setDns1(java.lang.String dns1)`
    `void` | `setDns2(java.lang.String dns2)`
    `void` | `setGateway(java.lang.String gateway)`
    `void` | `setName(java.lang.String name)`
    `void` | `setNetworkPrefix(java.lang.String networkPrefix)`
    `void` | `setPassword(java.lang.String password)`
    `void` | `setProxyExclusion(java.util.List<java.lang.String> proxyExclusion)`
    `void` | `setProxyHost(java.lang.String proxyHost)`
    `void` | `setProxyPort(java.lang.Integer proxyPort)`
    `void` | `setSecurityType(NetworkSecurityType securityType)`
    `void` | `setStaticIp(java.lang.String staticIp)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NetworkConfig

          public NetworkConfig(NetworkType networkType)

      Class to set initial LAN network configuration details.
      Parameters:
        `networkType` - NetworkType lan

    - #### NetworkConfig

          public NetworkConfig(NetworkType networkType,
                               NetworkSecurityType securityType,
                               java.lang.String name,
                               java.lang.String password)

      Class to set initial WiFi network configuration details.
      Parameters:
        `networkType` - NetworkType WiFi
        `name` - WiFi: Name
        `securityType` - WiFiConnection Type: WEP/WPA/WPA2/open
        `password` - WiFi: Password

  - ### Method Detail

    - #### getNetworkType

          public NetworkType getNetworkType()

    - #### getProxyHost

          public java.lang.String getProxyHost()

    - #### setProxyHost

          public void setProxyHost(java.lang.String proxyHost)

    - #### getName

          public java.lang.String getName()

    - #### setName

          public void setName(java.lang.String name)

    - #### getSecurityType

          public NetworkSecurityType getSecurityType()

    - #### setSecurityType

          public void setSecurityType(NetworkSecurityType securityType)

    - #### getPassword

          public java.lang.String getPassword()

    - #### setPassword

          public void setPassword(java.lang.String password)

    - #### getProxyPort

          public java.lang.Integer getProxyPort()

    - #### setProxyPort

          public void setProxyPort(java.lang.Integer proxyPort)

    - #### getStaticIp

          public java.lang.String getStaticIp()

    - #### setStaticIp

          public void setStaticIp(java.lang.String staticIp)

    - #### getGateway

          public java.lang.String getGateway()

    - #### setGateway

          public void setGateway(java.lang.String gateway)

    - #### getNetworkPrefix

          public java.lang.String getNetworkPrefix()

    - #### setNetworkPrefix

          public void setNetworkPrefix(java.lang.String networkPrefix)

    - #### getDns1

          public java.lang.String getDns1()

    - #### setDns1

          public void setDns1(java.lang.String dns1)

    - #### getDns2

          public java.lang.String getDns2()

    - #### setDns2

          public void setDns2(java.lang.String dns2)

    - #### getProxyExclusion

          public java.util.List<java.lang.String> getProxyExclusion()

    - #### setProxyExclusion

          public void setProxyExclusion(java.util.List<java.lang.String> proxyExclusion)

    - #### getAvoidPoorWifi

          public java.lang.Boolean getAvoidPoorWifi()

    - #### setAvoidPoorWifi

          public void setAvoidPoorWifi(java.lang.Boolean avoidPoorWifi)

    - #### getDefaultExclude

          public java.lang.Boolean getDefaultExclude()

    - #### setDefaultExclude

          public void setDefaultExclude(java.lang.Boolean defaultExclude)

    - #### getCertAlias

          public java.lang.String getCertAlias()

    - #### setCertAlias

          public void setCertAlias(java.lang.String certAlias)